import Component from '../share/Component';
interface IRgb {
    r: number;
    g: number;
    b: number;
    a?: number;
}
interface IOptions {
    showRulers?: boolean;
    showExtensionLines?: boolean;
    showInfo?: boolean;
    showStyles?: boolean;
    showAccessibilityInfo?: boolean;
    colorFormat?: 'rgb' | 'hsl' | 'hex';
    contentColor?: string | IRgb;
    paddingColor?: string | IRgb;
    borderColor?: string | IRgb;
    marginColor?: string | IRgb;
    monitorResize?: boolean | IRgb;
}
export default class DomHighlighter extends Component {
    private overlay;
    private target;
    private resizeSensor;
    private redraw;
    private options;
    private interceptor;
    constructor(container: HTMLElement, { showRulers, showExtensionLines, showInfo, showStyles, showAccessibilityInfo, colorFormat, contentColor, paddingColor, borderColor, marginColor, monitorResize, }?: IOptions);
    highlight(target: HTMLElement | Text, options?: IOptions): void;
    hide(): void;
    setOption(name: string, val: any): void;
    intercept(interceptor: (...args: any[]) => any | null): void;
    destroy(): void;
    private draw;
    private drawText;
    private drawElement;
    private getPaths;
    private getElementInfo;
    private getStyles;
    private getAccessibilityInfo;
    private isFocusable;
    private getAccessibleNameAndRole;
    private bindEvent;
    private reset;
    private rectToPath;
}
export {};
